> For the complete documentation index, see [llms.txt](https://docs.pliro.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pliro.co/api/pagination.md).

# Pagination

All endpoints that retrieve a collection of objects support cursor-based pagination. When you make a request to one of these endpoints, it will respond with the first page of objects in the collection. If the collection includes additional objects, the response will also include a `next_page` property that can be used to request the next page of objects.

<details>

<summary>Example pagination requests and responses</summary>

#### Requesting the first page

{% code title="GET /2023-04-11/customers" %}

```bash
curl -G $PLIRO_API_BASE_URL/2023-04-11/customers \
  -u "$PLIRO_API_KEY:" \
  -d limit=2
```

{% endcode %}

{% code title="Response" %}

```json
{
  "objects": [
    {
      "id": "cus_1BxEmDZEfaMhFQxkysiGtm",
      "email": "jane@example.com",
      "name": "Jane Doe",
      "newsletter_slugs": [],
      "plan_slug": null
    },
    {
      "id": "cus_1BxEm4QKh4Rb5v6Qvu2THx",
      "email": "john@example.com",
      "name": "John Doe",
      "newsletter_slugs": [],
      "plan_slug": null
    }
  ],
  "next_page": "Y3VzXzFCeEVtM1I1bjRQU1lVN3ZwZWFpY3E"
}
```

{% endcode %}

#### Requesting the second page

{% code title="GET /2023-04-11/customers" %}

```bash
curl -G $PLIRO_API_BASE_URL/2023-04-11/customers \
  -u "$PLIRO_API_KEY:" \
  -d page=Y3VzXzFCeEVtM1I1bjRQU1lVN3ZwZWFpY3E \
  -d limit=2
```

{% endcode %}

{% code title="Response" %}

```json
{
  "objects": [
    {
      "id": "cus_1BxEm3R5n4PSYU7vpeaicq",
      "email": "richard@example.com",
      "name": "Richard Roe",
      "newsletter_slugs": [],
      "plan_slug": null
    }
  ],
  "next_page": null
}
```

{% endcode %}

</details>

## Pagination parameters

`limit` **integer**\
The maximum number of objects to retrieve.

`page`  **string**\
Omit this parameter to request the first page. Provide the `next_page` value returned in a previous response to request the next page.

## The page object

```json
{
  "objects": [
    {
      "id": "cus_1BxEmDZEfaMhFQxkysiGtm",
      "email": "jane@example.com",
      "name": "Jane Doe",
      "newsletter_slugs": [],
      "plan_slug": null,
      "activation_url": null
    },
    {
      "id": "cus_1BxEm4QKh4Rb5v6Qvu2THx",
      "email": "john@example.com",
      "name": "John Doe",
      "newsletter_slugs": [],
      "plan_slug": null,
      "activation_url": null
    }
  ],
  "next_page": "Y3VzXzFCeEVtM1I1bjRQU1lVN3ZwZWFpY3E"
}
```

### Properties

`objects` **array**\
An array of objects in reverse chronological order.

`next_page` **optional string**\
A cursor for the next page of objects.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pliro.co/api/pagination.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
